Bug 2245 - +Pass har vorte obligatorisk, fører til 307 feil i lemmagenereringa for verb
Summary: +Pass har vorte obligatorisk, fører til 307 feil i lemmagenereringa for verb
Status: RESOLVED FIXED
Alias: None
Product: sme lexicon
Classification: Unclassified
Component: Continuation lexica (show other bugs)
Version: unspecified
Hardware: All All
: P3 - Within a week normal
Assignee: Thomas Omma
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-28 10:04 CEST by Sjur Nørstebø Moshagen
Modified: 2016-11-15 15:34 CET (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sjur Nørstebø Moshagen 2016-10-28 10:04:00 CEST
Det har vore ein diskusjon i lusmelding #2217 om bruken av +Pass, men det står ingen ting der om at taggen har vorte til obligatorisk ved generering. Eg finn heller inga innsjekking med ei slik endring.

Uansett så fører endringa til at verb av typen:

ahttohallat+V+Inf	ahttohallat+V+Inf	+?
baikkahaddat+V+Inf	baikkahaddat+V+Inf	+?
baikkahallat+V+Inf	baikkahallat+V+Inf	+?
beahtahallat+V+Inf	beahtahallat+V+Inf	+?

ikkje lenger går gjennom i lemmagenereringa. Får dei ein +Pass-tagg funkar det:

$ echo beahtahallat | lookup -q src/analyser-gt-desc.xfst 
beahtahallat	beahtahallat	+V+IV+Pass+Inf
beahtahallat	beahtahallat	+V+IV+Pass+Ind+Prs+Pl1

$ echo beahtahallat+V+IV+Pass+Inf | lookup -q src/generator-gt-desc.xfst 
beahtahallat+V+IV+Pass+Inf	beahtahallat

$ echo beahtahallat+V+Pass+Inf | lookup -q src/generator-gt-desc.xfst 
beahtahallat+V+Pass+Inf	beahtahallat

$ echo beahtahallat+V+Inf | lookup -q src/generator-gt-desc.xfst 
beahtahallat+V+Inf	beahtahallat+V+Inf	+?

Vi treng ein fungerande lemmagenereringstest, så vi må bestemma kva vi skal gjera med taggen.
Comment 1 Linda Wiechetek 2016-11-14 13:24:33 CET
Ifølge Duommá har ahttohallat ikkje bare passiv- men også frekventativ-betydning.
Det er uheldig hvis den bare har passiv-taggen, når det er ambiguitet.






(In reply to Sjur Nørstebø Moshagen from comment #0)
> Det har vore ein diskusjon i lusmelding #2217 om bruken av +Pass, men det
> står ingen ting der om at taggen har vorte til obligatorisk ved generering.
> Eg finn heller inga innsjekking med ei slik endring.
> 
> Uansett så fører endringa til at verb av typen:
> 
> ahttohallat+V+Inf	ahttohallat+V+Inf	+?
> baikkahaddat+V+Inf	baikkahaddat+V+Inf	+?
> baikkahallat+V+Inf	baikkahallat+V+Inf	+?
> beahtahallat+V+Inf	beahtahallat+V+Inf	+?
> 
> ikkje lenger går gjennom i lemmagenereringa. Får dei ein +Pass-tagg funkar
> det:
> 
> $ echo beahtahallat | lookup -q src/analyser-gt-desc.xfst 
> beahtahallat	beahtahallat	+V+IV+Pass+Inf
> beahtahallat	beahtahallat	+V+IV+Pass+Ind+Prs+Pl1
> 
> $ echo beahtahallat+V+IV+Pass+Inf | lookup -q src/generator-gt-desc.xfst 
> beahtahallat+V+IV+Pass+Inf	beahtahallat
> 
> $ echo beahtahallat+V+Pass+Inf | lookup -q src/generator-gt-desc.xfst 
> beahtahallat+V+Pass+Inf	beahtahallat
> 
> $ echo beahtahallat+V+Inf | lookup -q src/generator-gt-desc.xfst 
> beahtahallat+V+Inf	beahtahallat+V+Inf	+?
> 
> Vi treng ein fungerande lemmagenereringstest, så vi må bestemma kva vi skal
> gjera med taggen.
Comment 2 Lene Antonsen 2016-11-14 14:36:22 CET
Jeg foreslår at vi pga av bz 2217 beholder +Pass som obligatorisk, men at den endres til noe annet for nordsamisk, og at dette 'noeannet' ikke er obligatorisk
Comment 3 Thomas Omma 2016-11-14 15:28:51 CET
sme $ svn ci -m "removed Pass tag, bug2245" src/morphology/affixes/verbs.lexc
Sending        src/morphology/affixes/verbs.lexc
Transmitting file data .
Committed revision 143484.
Comment 4 Trond Trosterud 2016-11-15 13:16:52 CET
(In reply to Thomas Omma from comment #3)
> sme $ svn ci -m "removed Pass tag, bug2245" src/morphology/affixes/verbs.lexc

__removed__ ? -- dette ser ut til å gå litt fort i svingane.

Her ser det ut til at det er informasjon som forsvinn. "noeannet" kan t.d. vere +Der/HADL, eller +Der/ha, viss vi altså ikkje finn ein grammatisk kategori for desse taggane.

I det heile er erfaringane med forsking på samisk tekst at forskarar ofte er interessert i den interne strukturen i ordet, og denne informasjonen forsvinn viss vi fjernar denne taggen. Betre hadde vore ein klår tagg for denne interne strukturen.
Comment 5 Thomas Omma 2016-11-15 14:15:38 CET
-stuvvat er ju teknisk ichoative
Comment 6 Thomas Omma 2016-11-15 14:16:29 CET
LEXICON RAIMMAHALLA_IV      !!= * __@CODE@__ passives on -hallat and INCHOATIVES on -stuvvat
 +V+IV:%> RAIMMAHALLAINCH ;
Comment 7 Trond Trosterud 2016-11-15 14:20:39 CET
(In reply to Thomas Omma from comment #5)
> -stuvvat er ju teknisk ichoative

Det vi vil ha:
a. viss mogleg: Der/GramatiskKarakteristikk
b. viss a. ikkje er mogleg: Der/SuffiksetSlikDetSerUt
Comment 8 Sandra Nystø Rahka 2016-11-15 14:24:42 CET
SMJ har en lignende konstruksjon: -dallat er ikke bare passiv, men har i tillegg en bibetydning som "uheldigvis skjedde det slik","å være så uheldig å bli..."

gáskádallat	gássket+V+TV+Der/PassD+V+Inf	0.000000
rájadallat	rádjat+V+TV+Der/PassD+V+Inf	0.000000

Vi har gitt denne formen en egen passiv-tagg, for å skille den fra vanlig +Der/Pass, men denne taggen sier jo heller ikke noe mer enn at det er en passiv-derivasjon...
Comment 9 Lene Antonsen 2016-11-15 15:34:48 CET
Her er det snakk om to ting:
1) tagging av et leksikalilserte derivasjoner (+Pass), og den kan ikke ha +Der/.. tagg, men få noe annet
2) tagging av en derivasjonsprosess i lexc (+Der/PassD)

Jeg er enig med Sandra om at det hadde vært bra å ha samme tagging som i smj, men bare hvis formen er entydig i sme.

Slik er tagginga i dag:

gávnnahallat
gávnnahallat	gávnnahit+V+TV+Der/alla+V+Inf
gávnnahallat	gávnnahit+V+TV+Der/alla+V+Ind+Prs+Pl1
gávnnahallat	gávnnahallat+V+IV+Inf
gávnnahallat	gávnnahallat+V+IV+Ind+Prs+Pl1
gávnnahallat	gávdnat+V+TV+Der/h+V+Der/alla+V+Inf
gávnnahallat	gávdnat+V+TV+Der/h+V+Der/alla+V+Ind+Prs+Pl1
gávnnahallat	gávdnat+V+TV+Der/halla+V+Inf
gávnnahallat	gávdnat+V+TV+Der/halla+V+Ind+Prs+Pl1

gáskkahallat vs gáskkáhallat - hva er forsjellen?

gáskkahallat
gáskkahallat	gáskkahallat+V+IV+Inf
gáskkahallat	gáskkahallat+V+IV+Ind+Prs+Pl1

gáskkáhallat
gáskkáhallat	gáskit+V+TV+Der/h+V+Der/alla+V+Inf
gáskkáhallat	gáskit+V+TV+Der/h+V+Der/alla+V+Ind+Prs+Pl1
gáskkáhallat	gáskit+V+TV+Der/halla+V+Inf
gáskkáhallat	gáskit+V+TV+Der/halla+V+Ind+Prs+Pl1
gáskkáhallat	gáskkáhallat+V+IV+Inf
gáskkáhallat	gáskkáhallat+V+IV+Ind+Prs+Pl1